USE COWS
GO
ALTER TABLE dbo.SM NOCHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.WG_PROF_STUS NOCHECK CONSTRAINT ALL
GO
--ALTER TABLE arch.WG_PROF_STUS NOCHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.WG_PTRN_SM NOCHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.WG_PTRN_STUS NOCHECK CONSTRAINT ALL
GO
--ALTER TABLE arch.WG_PTRN_STUS NOCHECK CONSTRAINT ALL
GO
DELETE FROM dbo.LK_WG_PTRN
GO

--Start and End patterns
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (0,'Start',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (1,'Finish',GETDATE())

--GOM
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (100,'Pre-Submit',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (101,'Submit',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (102,'NRM/GOM PL',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (103,'IPL GOM Review',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (104,'GOM CCD Ready',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (106,'GOM Cancel Ready',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (107,'GOM Private Line',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (108,'GOM DPL Cancel',GETDATE())

--xNCI
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (200,'xNCI',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (201,'xNCI Ready/Sales Support',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (202,'xNCI CCD Ready',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (203,'xNCI Ready/Bill Clear',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (204,'xNCI Bill Clear',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (205,'xNCI Cancel Ready',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (206,'xNCI Customer Accepted/Turn up',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (207,'xNCI Disc MS',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (208,'xNCI Billing Only',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (209,'xNCI Ready',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (210,'xNCI Change Offnet with MDS',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (211,'xNCI Change Offnet',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (212,'xNCI Change IPL',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (213,'xNCI Bill Only IPL',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (214,'xNCI Ready/GOM Fallout',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (215,'xNCI Customer Turnup',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (216,'xNCI Circuit MS Steps',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (217,'xNCI Access Renewal',GETDATE())


--MDS
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (300,'MDS',GETDATE())


--CSC
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (400,'CSC',GETDATE())

--SS
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (500,'SS RTS',GETDATE())


--xNCI/GOM PL
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (600,'GOM PL/xNCI',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (601,'GOMReview/xNCI/MDS/CSC/BillClear',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (602,'GOM Review & xNCI/CSC',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (603,'GOMReview/xNCI Ready/CSC/MDS',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (604,'GOM Cancel Ready & xNCI Cancel Ready',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (605,'GOM Review & xNCI/CSC/BillClear',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (606,'GOM PL/xNCI/MDS',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (608,'MDS/xNCI',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (609,'GOM PL/xNCI DISC',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (610,'GOM PL/xNCI DISC/MDS',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (611,'GOM Review/xNCI Ready/CSC/Bill Clear/BAR',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (612,'GOM/xNCIDisc/BARHold',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (613,'GOM/xNCICPE',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (614,'GOM/xNCICPE/wBillClear',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (615,'MDS/XNCI/BARPending',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (616,'GOM ASR/xNCI',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (617,'GOM ASR/MDS/xNCI',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (618,'GOM ASR/xNCI DISC',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (619,'GOM ASR/xNCI DISC W MDS',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (620,'GOM/XNCI/BAR',GETDATE())

--CPE
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (700,'CPE',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (701,'CPE EquipReview',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (702,'CPE EquipReview&MatRequisition',GETDATE())
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (703,'CPE EquipReview_w/oCPEHold',GETDATE())


--System
INSERT INTO LK_WG_PTRN (WG_PTRN_ID,WG_PTRN_DES,CREAT_DT)
VALUES (1000,'Order Complete',GETDATE())

GO
ALTER TABLE dbo.SM CHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.WG_PROF_STUS CHECK CONSTRAINT ALL
GO

--ALTER TABLE arch.WG_PROF_STUS CHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.WG_PTRN_SM CHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.WG_PTRN_STUS CHECK CONSTRAINT ALL
GO

--ALTER TABLE arch.WG_PTRN_STUS CHECK CONSTRAINT ALL
GO
